<?php 

/**
 * Returns an array of all available portfolio layouts
 * 
 * @val array
 * @since 1.0.0
 * @package Belton
 * @author TommusRhodus
 */
if(!( function_exists('ebor_get_portfolio_layouts') )){
	function ebor_get_portfolio_layouts(){
		
		$options = array(
			'Masonry 2 Columns' => '2-columns',
			'Masonry 3 Columns' => '3-columns',
		);
		
		if( has_filter('ebor_add_portfolio_layouts') ) {
			$options = apply_filters('ebor_add_portfolio_layouts', $options);
		}
		
		return $options;
		
	}
}

/**
 * Returns an array of all available posy layouts
 * 
 * @val array
 * @since 1.0.0
 * @package Belton
 * @author TommusRhodus
 */
if(!( function_exists('ebor_get_post_layouts') )){
	function ebor_get_post_layouts(){
		
		$options = array(
			'Masonry 2 Columns' => '2-columns',
			'Masonry 3 Columns' => '3-columns',
		);
		
		if( has_filter('ebor_add_post_layouts') ) {
			$options = apply_filters('ebor_add_post_layouts', $options);
		}
		
		return $options;
		
	}
}

/**
 * Returns an array of all available portfolio single layouts
 * 
 * @val array
 * @since 1.0.0
 * @package Belton
 * @author TommusRhodus
 */
if(!( function_exists('ebor_get_portfolio_single_layouts') )){
	function ebor_get_portfolio_single_layouts(){
		
		$options = array(
			'Fullscreen Hero + Images Below'  => 'hero',
			'Minimal Slideshow'   			  => 'slideshow'
		);
		
		if( has_filter('ebor_add_portfolio_single_layouts') ) {
			$options = apply_filters('ebor_add_portfolio_single_layouts', $options);
		}
		
		return $options;
		
	}
}

/**
 * Returns an array of all available team layouts
 * 
 * @val array
 * @since 1.0.0
 * @package Belton
 * @author TommusRhodus
 */
if(!( function_exists('ebor_get_team_layouts') )){
	function ebor_get_team_layouts(){
		
		$options = array(
			'3 Columns' => '3-columns',
			'4 Columns' => '4-columns',
		);
		
		if( has_filter('ebor_add_team_layouts') ) {
			$options = apply_filters('ebor_add_team_layouts', $options);
		}
		
		return $options;
		
	}
}