<?php

/**
 * Load Theme Support on Init
 */
if(!( function_exists('ebor_add_editor_styles') )){
	function ebor_add_editor_styles() {
	    
	    add_editor_style( 'admin/editor-style.css' );
	    
	    /**
	     * Set Content Width
	     */
	    global $content_width;
	    if ( ! isset( $content_width ) ) $content_width = 1170;

	    remove_post_type_support('portfolio', 'post-formats');
	    add_post_type_support('testimonial', 'thumbnail');
	    
	}
	add_action( 'init', 'ebor_add_editor_styles', 10 );
}

/**
 * Load Theme Support after_theme_setup
 */
if(!( function_exists('ebor_add_theme_support') )){
	function ebor_add_theme_support() {
		
		/**
		 * Add post thumbnail (featured image) support
		 */
		add_theme_support( 'post-thumbnails' );

		/**
		 * Add Custom Background Support and Set Default
		 */
		add_theme_support( 'custom-background', array( 'default-color' => '#000000' ) );
		
		/**
		 * Add feed link support
		 */
		add_theme_support( 'automatic-feed-links' );
		
		/**
		 * Add html5 support
		 */
		add_theme_support( 'html5', array( 'comment-list', 'comment-form', 'search-form' ) );
		
		/**
		 * Load Translation Files
		 */
		load_theme_textdomain( 'belton', trailingslashit(get_template_directory()) . 'languages' );
		
		/**
		 * Add title support to the theme
		 */
		add_theme_support( 'title-tag' );
		
		/**
		 * Allow widgets in customizer
		 */
		add_theme_support( 'customize-selective-refresh-widgets' );
		
		/**
		 * Gutenberg
		 */
		add_theme_support( 'align-wide' );
		add_theme_support( 'wp-block-styles' );
		
	}
	add_action('after_setup_theme', 'ebor_add_theme_support', 10 );
}