<?php
	/**
	 * comments.php
	 * @author TommusRhodus
	 * @since 1.0.0
	 */
	$custom_comment_form = array(
		'title_reply_before'  => '',
		'title_reply_after'   => '',
		'title_reply'  		  => '',
		'class_form' 		  => 'form-part', 
		'fields' => apply_filters( 'comment_form_default_fields', array(
		    'author' => '<input type="text" id="author" name="author" placeholder="' . esc_html__('Name','belton') . '" value="' . esc_attr( $commenter['comment_author'] ) . '" />',
		    'email'  => '<input name="email" type="text" id="email" placeholder="' . esc_html__('Email','belton') . '" value="' . esc_attr(  $commenter['comment_author_email'] ) . '" />',
		    'url'    => '<input name="url" type="text" id="url" placeholder="' . esc_html__('Website','belton') . '" value="' . esc_attr(  $commenter['comment_author_url'] ) . '" />')
		),
		'comment_field'        => '<textarea name="comment" placeholder="' . esc_html__('Tell us what you think!','belton') . '" id="comment" aria-required="true" rows="4"></textarea>',
		'cancel_reply_link'    => esc_html__( 'Cancel' , 'belton' ),
		'comment_notes_before' => '',
		'comment_notes_after'  => '',
		'label_submit'         => esc_html__( 'Submit' , 'belton' ),
		'class_submit'         => 'button',
	);
	
	$sidebar = is_active_sidebar( 'primary ');
	
	if( is_single() && $sidebar ) :
?>
	
	<hr />
	
	<h3 class="header lone-header">
		<?php comments_number( 
			esc_html__( '0 Comments', 'belton' ), 
			esc_html__( '1 Comment', 'belton' ), 
			esc_html__( '% Comments', 'belton' ) 
		  );
		?>
	</h3>
	
	<?php if(get_comments_number()) { ?>
	<section class="white same-color-as-previous-section">
			
		<ul class="comments">
			<?php wp_list_comments( 'type=all&callback=ebor_custom_comment' ); ?>
		</ul>
		
		<?php paginate_comments_links(); ?>

	</section>
	<?php } ?>
	
	<section id="reply-wrapper" class="white same-color-as-previous-section">
		<?php comment_form( $custom_comment_form ); ?>
	</section>
	
<?php else : ?>

<?php if(get_comments_number()) { ?>
<section class="white same-color-as-previous-section">
	<div class="container clearfix">
		
		<div class="col-md-3 col-md-offset-1">
			<h3 class="header lone-header">
				<?php comments_number( 
					esc_html__( '0 Comments', 'belton' ), 
					esc_html__( '1 Comment', 'belton' ), 
					esc_html__( '% Comments', 'belton' ) 
				  );
				?>
			</h3>
		</div>
		
		<div class="col-md-7">
			
			<ul class="comments">
				<?php wp_list_comments( 'type=all&callback=ebor_custom_comment' ); ?>
			</ul>
			
			<?php paginate_comments_links(); ?>
		</div>
		
	</div>
</section>
<?php } ?>

<section id="reply-wrapper" class="white same-color-as-previous-section">
	<div class="container clearfix">
		
		<div class="col-md-3 col-md-offset-1">
			<h3 class="header lone-header"><?php esc_html_e('Leave a Comment', 'belton'); ?></h3>
		</div>
		
		<div class="col-md-7">
			<?php comment_form( $custom_comment_form ); ?>
		</div>
		
	</div>
</section>

<?php endif;