<?php 
	if(!( 'portfolio' == get_post_type() )){
		return false;
	}
	
	$terms    = get_the_terms( $post->ID , 'portfolio_category', 'string');
	$term_ids = array_values( wp_list_pluck( $terms, 'term_id' ) );
	
	$related_query = new WP_Query( 
		array(
			'post_type' => 'portfolio',
			'tax_query' => array(
				array(
					'taxonomy' => 'portfolio_category',
					'field'    => 'id',
					'terms'    => $term_ids,
					'operator' => 'IN' //Or 'AND' or 'NOT IN'
				)
			),
			'posts_per_page'      => 3,
			'ignore_sticky_posts' => 1,
			'orderby'             => 'rand',
			'post__not_in'        => array( $post->ID )
		) 
	);
	
	if( $related_query->found_posts == 0 ){
		return false;
	}
	if( $related_query->found_posts == 1 || $related_query->found_posts == 2 ) {
		$related_post_layout = 'portfolio-2-columns';
	} else {
		$related_post_layout = 'portfolio';
	}
?> 

<section>
	
	<div class="container clearfix">
		<div class="col-md-12 white-text centered extra-padding-bottom">
			<h2 class="header"><?php esc_html_e( 'Related Projects', 'belton' ); ?></h2>
		</div>
	</div>
	
	<div class="container clearfix">
		<div id="container">
			<?php
				if ( $related_query->have_posts() ) : while ( $related_query->have_posts() ) : $related_query->the_post();
				
					/**
					 * Get blog posts by blog layout.
					 */
					get_template_part( 'loop/content', $related_post_layout );
				
				endwhile;	
				else : 
					
					/**
					 * Display no posts message if none are found.
					 */
					get_template_part( 'loop/content', 'none' );
					
				endif;
				
				wp_reset_postdata();
			?>
		</div>
	</div>
	
	<div class="container clearfix">
		<div class="col-md-12 white-text centered">
			<h4><?php esc_html_e( 'Want to see more?', 'belton' ); ?></h4>
			<p><a href="<?php echo esc_url( get_post_type_archive_link( 'portfolio' ) ); ?>" class="arrow"><?php esc_html_e( 'View All', 'belton' ); ?></a></p>
		</div>
	</div>
	
</section>