jQuery(function() {
    "use strict";
	
	jQuery('.flexslider').not('.flexslider.testimonials').flexslider({
	    animation: "slide",
	    slideshow: false
	});
	
	jQuery('.flexslider.testimonials').flexslider({
	    animation: "fade",
	    slideshow: true
	});
	
    jQuery('#menu-button, #menu-close-button').on('click touchend', function(e) {
        e.preventDefault();

        jQuery('body').toggleClass('pushed-left');
        jQuery('#menu-button').toggleClass('open');

    });

    jQuery('.panel-heading a').on('click', function() {
        jQuery('.panel-heading').removeClass('active');
        if (!jQuery(this).closest('.panel').find('.panel-collapse').hasClass('in')) {
            jQuery(this).parents('.panel-heading').addClass('active');
        }
    });

    jQuery('body').not('body.touch').on('click touchend', function(e) {
        var $body = jQuery(this);
        var $target = jQuery(e.target);
        if (($body.hasClass('pushed-left-alt') || $body.hasClass('pushed-left')) && $target.closest('#main-nav').length === 0 && $target.closest('#menu-button').length === 0) {
            e.preventDefault();
            $body.removeClass('pushed-left-alt').removeClass('pushed-left');
        }
    });

    jQuery('#main-nav a').not('.sub-nav a').on('click', function() {

        jQuery('.sub-nav').stop().slideUp(420, function() {
            jQuery(this).addClass('hidden');
        });
    });

    jQuery('.sub-nav-toggle').on('click touchend', function(e) {
        e.preventDefault();
        var $subNav = jQuery(this).next('.sub-nav');
        if ($subNav.hasClass('hidden')) {
            $subNav.hide().removeClass('hidden').stop().slideDown(420);
        } else {
            $subNav.stop().slideUp(420, function() {
                jQuery(this).addClass('hidden');
            });
        }
    });

    if (jQuery('.banner-textblock').length) {
        jQuery(window).scroll(function() {
            var scrollPos = jQuery(this).scrollTop();
            jQuery('.banner-textblock').not('.touch .banner-textblock').css({
                'top': (-(scrollPos / 5.0)) + "px",
                'opacity': 1 - (scrollPos / 550)
            });
            jQuery('.custom-caption').not('.touch .custom-caption').css({
                'opacity': 1 - (scrollPos / 550)
            });
            jQuery('.parallax-banner').not('.touch .parallax-banner').css({
                'transform': 'translate3d(' + "0px" + ", " + ((-scrollPos / 9.0) + "px") + ", " + "0px" + ')'

            });
        });
    }

    if (/Android|webOS|iPhone|iPad|iPod|BlackBerry|IEMobile|Opera Mini/i.test(navigator.userAgent)) {
        jQuery('body').addClass('touch');
    }

    // Animatedblock
    var $animation_elements = jQuery('.animatedblock');

    function check_if_in_view() {
        var window_height = jQuery(window).height();
        var window_top_position = jQuery(window).scrollTop();
        var window_bottom_position = (window_top_position + window_height);

        jQuery.each($animation_elements, function() {
            var $element = jQuery(this);
            var element_height = $element.outerHeight();
            var element_top_position = $element.offset().top;
            var element_bottom_position = (element_top_position + element_height);

            //check to see if this current container is within viewport
            if ((element_bottom_position >= window_top_position) &&
                (element_top_position <= window_bottom_position)) {
                $element.addClass('in-view');
            } else {
                //  $element.removeClass('in-view');
            }
        });
    }

    jQuery(window).on('scroll resize', check_if_in_view);
    jQuery(window).trigger('scroll');

});

jQuery(document).ready(function() {
     
    if (jQuery('#map').length) {
        var styles = [{
            featureType: "administrative",
            elementType: "all",
            stylers: [{
                visibility: "off"
            }]
        }, {
            featureType: "landscape",
            elementType: "all",
            stylers: [{
                color: '#aaaaaa'
            }, {
                visibility: "on"
            }]
        }, {
            featureType: "poi",
            elementType: "all",
            stylers: [{
                visibility: "off"
            }]
        }, {
            featureType: "road",
            elementType: "all",
            stylers: [{
                visibility: "on"
            }, {
                lightness: -30
            }]
        }, {
            featureType: "transit",
            elementType: "all",
            stylers: [{
                visibility: "off"
            }]
        }, {
            featureType: "water",
            elementType: "all",
            stylers: [{
                color: '#cccccc'
            }]
        }];
        var map;
        var mapOptions = {
            center: new google.maps.LatLng(51.9599775, 6.9936886),
            zoom: 4,
            scrollwheel: false,
            panControl: false,
            mapTypeControl: false,
            streetViewControl: false,
            disableDefaultUI: false,
            zoomControl: false,
            styles: styles
        };

        function initMap() {
			"use strict";
            var map = new google.maps.Map(document.getElementById("map"), mapOptions);
            var bounds = new google.maps.LatLngBounds();
            var myIcon = new google.maps.MarkerImage("images/icons/location-pin-3.png", null, null, null, new google.maps.Size(48, 48));
            var marker = new google.maps.Marker({
                position: new google.maps.LatLng(50.9599775, 6.9936886),
                map: map,
                title: 'Safarihub',
                icon: myIcon
            });
        }

        initMap();
        google.maps.event.addDomListener(window, 'load', initMap);
    }
});

jQuery(document).ready(function() {
"use strict";

	// initiate fancybox for images
	jQuery("a.popup, a[rel=group]").fancybox({
				closeClick : true,
				 helpers : {
            overlay : {
                locked : false
            }
        },
		afterShow: function() {
            jQuery('.fancybox-wrap').swipe({
                swipe : function(event, direction) {
                    if (direction === 'left' || direction === 'up') {
                        jQuery.fancybox.prev( direction );
                    } else {
                        jQuery.fancybox.next( direction );
                    }
                }
            });
        }
	});
	
	
	// initiate fancybox for videos
	jQuery(".video-popup").fancybox({
				'width'				: '80%',
				'height'			: '70%',
				'autoScale'			: true,
				'type'				: 'iframe',
				closeClick : true,
				 helpers : {
            overlay : {
                locked : false
            }
        }     
	});

    jQuery('article table').addClass('table-bordered');
    jQuery('article dl').addClass('dl-horizontal');

    // Image Gallery Block JS
    jQuery('[id^=image-gallery-]').each(function() {
        var filters = jQuery(this).find("[id^=container] [data-masonry-filter]").map(function() {
            return '<li><a href="#'+jQuery(this).attr('data-masonry-filter').replace(/\s+/g, '-').toLowerCase()+'">' + jQuery(this).attr('data-masonry-filter') + '</a></li>';
        }).get().join("");

        jQuery(this).find('#options li:last').after(filters);

        jQuery('#options li a').each(function() {
            var href = jQuery(this).attr('href');
            jQuery("[href='"+href+"']:not(:first)").parent().remove();
        });
       
    });

    // COMMENT REPLY HIDE TITLE
    jQuery('.comment-reply-link').on('click', function() {
        jQuery('#reply-wrapper').hide();
    });
    jQuery('#cancel-comment-reply-link').on('click', function() {
        jQuery('#reply-wrapper').show();
    });
    
    
});

jQuery(window).load(function($) {
    "use strict";

    function eborLoadIsotope() {
        var $container = jQuery('[id^=container], #container-popup'),
            $optionContainer = jQuery('#options'),
            $options = $optionContainer.find('a[href^="#"]').not('a[href="#"]'),
            isOptionLinkClicked = false;


        $container.isotope({
            itemSelector: '.element',
            resizable: false,
            filter: '*',
            transitionDuration: '0.6s',
            layoutMode: 'packery'
        });
		
		

        if (jQuery('body').hasClass('video-detail'))
            $container.isotope({
                transformsEnabled: false,
            });

        jQuery(window).smartresize(function() {
            $container.isotope('layout');
        });
		

        $options.on('click', function() {
            var $this = jQuery(this),
                href = $this.attr('href');

            if ($this.hasClass('selected')) {
                return;
            } else {
                $options.removeClass('selected');
                $this.addClass('selected');
            }

            jQuery.bbq.pushState('#' + href);
            isOptionLinkClicked = true;
            return false;
        });

        jQuery(window).on('hashchange', function() {
            var theFilter = window.location.hash.replace(/^#/, '');

            if (theFilter == false)
                theFilter = 'home';

            $container.isotope({
                filter: '.' + theFilter
            });

            if (isOptionLinkClicked == false) {
                $options.removeClass('selected');
                $optionContainer.find('a[href="#' + theFilter + '"]').addClass('selected');
            }

            isOptionLinkClicked = false;
        }).trigger('hashchange');

    }

    eborLoadIsotope();

    jQuery('form').submit(function() {
        setTimeout(function() {
            $container.isotope('layout');
        }, 1000);
    });

    jQuery(window).trigger('resize').trigger('smartresize');
	
});

jQuery(window).load(function(){
    "use strict";
	
    jQuery("#status").fadeOut(350);
    jQuery("#preloader").delay(350).fadeOut(200);
	
});